- Qt 5.15
- Qt 3D
- C++ Classes
- QPointSize
- Qt 5.15.11 Reference Documentation

# QPointSize Class

class Qt3DRender::QPointSize

Specifies the size of rasterized points. May either be set statically or by shader programs. More...

Header: | #include <QPointSize>
qmake: | QT += 3drender
Since: | Qt 5.7
Instantiated By: | PointSize
Inherits: | Qt3DRender::QRenderState

This class was introduced in Qt 5.7.

- List of all members, including inherited members

## Public Types

enum | SizeMode { Fixed, Programmable }

## Properties

- sizeMode : SizeMode
- value : float

## Public Functions

SizeMode | sizeMode() const
float | value() const

## Public Slots

void | setSizeMode(SizeMode sizeMode)
void | setValue(float value)

## Signals

void | sizeModeChanged(SizeMode sizeMode)
void | valueChanged(float value)

## Detailed Description

When the sizeMode property is set to SizeMode::Fixed, the value is set using glPointSize(), if available. When using SizeMode::Programmable, gl_PointSize must be set within shader programs, the value provided to this RenderState is ignored in that case.

## Member Type Documentation

### enum QPointSize::SizeMode

This enumeration specifies values for the size mode.

Constant | Value | Description
--- | --- | ---
`Qt3DRender::QPointSize::Fixed` | `0` | The point size is by the QPointSize::value.
`Qt3DRender::QPointSize::Programmable` | `1` | The point size value must be set in shader

## Property Documentation

### sizeMode : SizeMode

Specifies the sizeMode to be used.

Access functions:

SizeMode | sizeMode() const
void | setSizeMode(SizeMode sizeMode)

Notifier signal:

void | sizeModeChanged(SizeMode sizeMode)

### value : float

Specifies the point size value to be used.

Access functions:

float | value() const
void | setValue(float value)

Notifier signal:

void | valueChanged(float value)